Qt Cryptographic Architecture: QCA::KeyStoreEntryContext Class Reference

# QCA::KeyStoreEntryContext Class Reference
[QCA provider API]

KeyStoreEntry provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::KeyStoreEntryContext:

Collaboration diagram for QCA::KeyStoreEntryContext:

[legend]

List of all members.

## Public Member Functions
virtual Certificate | certificate () const
virtual CRL | crl () const
virtual bool | ensureAccess ()
virtual QString | id () const =0
virtual bool | isAvailable () const
virtual KeyBundle | keyBundle () const
| KeyStoreEntryContext (Provider *p)
virtual QString | name () const =0
virtual PGPKey | pgpPublicKey () const
virtual PGPKey | pgpSecretKey () const
virtual QString | serialize () const =0
virtual QString | storeId () const =0
virtual QString | storeName () const =0
virtual KeyStoreEntry::Type | type () const =0

## Detailed Description

KeyStoreEntry provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want KeyStoreEntry instead.

## Constructor & Destructor Documentation

QCA::KeyStoreEntryContext::KeyStoreEntryContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the Provider associated with this context

## Member Function Documentation

virtual Certificate QCA::KeyStoreEntryContext::certificate | ( |  | ) | const`[virtual]`

If this entry is of type KeyStoreEntry::TypeCertificate, this function returns the Certificate of the entry.

virtual CRL QCA::KeyStoreEntryContext::crl | ( |  | ) | const`[virtual]`

If this entry is of type KeyStoreEntry::TypeCRL, this function returns the CRL of the entry.

virtual bool QCA::KeyStoreEntryContext::ensureAccess | ( |  | ) | `[virtual]`

Attempt to ensure the private key of this entry is usable and accessible, potentially prompting the user and/or performing a login to a token device.

Returns true if the entry is now accessible, or false if the entry cannot be made accessible.

This function is blocking.

virtual QString QCA::KeyStoreEntryContext::id | ( |  | ) | const`[pure virtual]`

Returns the entry id.

This id must be unique among all other entries in the same store.

virtual bool QCA::KeyStoreEntryContext::isAvailable | ( |  | ) | const`[virtual]`

Returns true if the private key of this entry is present for use.

virtual KeyBundle QCA::KeyStoreEntryContext::keyBundle | ( |  | ) | const`[virtual]`

If this entry is of type KeyStoreEntry::TypeKeyBundle, this function returns the KeyBundle of the entry.

virtual QString QCA::KeyStoreEntryContext::name | ( |  | ) | const`[pure virtual]`

Returns the name of this entry.

virtual PGPKey QCA::KeyStoreEntryContext::pgpPublicKey | ( |  | ) | const`[virtual]`

If this entry is of type KeyStoreEntry::TypePGPPublicKey or KeyStoreEntry::TypePGPSecretKey, this function returns the public PGPKey of the entry.

virtual PGPKey QCA::KeyStoreEntryContext::pgpSecretKey | ( |  | ) | const`[virtual]`

If this entry is of type KeyStoreEntry::TypePGPSecretKey, this function returns the secret PGPKey of the entry.

virtual QString QCA::KeyStoreEntryContext::serialize | ( |  | ) | const`[pure virtual]`

Serialize the information about this entry.

This allows the entry object to be restored later, even if the store that contains it is not present.

See also:
  KeyStoreListContext::entryPassive()

virtual QString QCA::KeyStoreEntryContext::storeId | ( |  | ) | const`[pure virtual]`

Returns the id of the store that contains this entry.

virtual QString QCA::KeyStoreEntryContext::storeName | ( |  | ) | const`[pure virtual]`

Returns the name of the store that contains this entry.

virtual KeyStoreEntry::Type QCA::KeyStoreEntryContext::type | ( |  | ) | const`[pure virtual]`

Returns the entry type.

The documentation for this class was generated from the following file:

- qcaprovider.h